Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.SlowElement

java.lang.Object
org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement

Direct Known Subclasses:
  `ContainerItemProvider.LazyElement`

Enclosing class:
  ContainerItemProvider<CONTAINER extends IContainer<Object>>

public static class ContainerItemProvider.SlowElement extends Object

Since:
  3.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`SlowElement(IContainer<Object> container, String text)`

## Method Summary

Modifier and Type
Method
Description
`final IContainer<Object>`
`getContainer()`
`final String`
`getText()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SlowElement

public SlowElement(IContainer<Object> container, String text)

## Method Details

### getContainer

public final IContainer<Object> getContainer()

### getText

public final String getText()

### toString

public String toString()

Overrides:
  `toString` in class `Object`